Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mirror.type
Interface TypeVariable

All Superinterfaces:
  ReferenceType, TypeMirror

    public interface TypeVariable

extends ReferenceType

Represents a type variable. A type variable is declared by a type parameter of a type, method, or constructor.

Since:
  1.5

Method Summary
`TypeParameterDeclaration` | `getDeclaration()` Returns the type parameter that declared this type variable.

Methods inherited from interface com.sun.mirror.type.TypeMirror
`accept, equals, toString`

Method Detail

### getDeclaration

    TypeParameterDeclaration getDeclaration()

  Returns the type parameter that declared this type variable.

  Returns:
    the type parameter that declared this type variable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Report a bug or request a feature.
Copyright 2004 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.